diff --git a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
index dbb9585..bd43001 100644
--- a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
@@ -1586,461 +1434,129 @@ class DetailPengaduanView extends GetView<PengaduanController> {
   void _showEditTindakanDialog(
       BuildContext context, TindakanPengaduanModel tindakan) {
     final formKey = GlobalKey<FormState>();
-    final tindakanController = TextEditingController(text: tindakan.tindakan);
     final catatanController = TextEditingController(text: tindakan.catatan);
     final hasilTindakanController =
         TextEditingController(text: tindakan.hasilTindakan);
     String? selectedKategori = tindakan.kategoriTindakan;
     String? selectedPrioritas = tindakan.prioritas;
-    String? selectedStatus = tindakan.statusTindakan;
+    String selectedStatus = 'SELESAI';
 
-    // Gunakan RxList untuk bukti tindakan
-    final buktiTindakanList = (tindakan.buktiTindakan ?? []).obs;
-    final isUploading = false.obs;
+    // Gunakan List untuk bukti tindakan paths
+    final List<String> buktiTindakanPaths = tindakan.buktiTindakan != null
+        ? List<String>.from(tindakan.buktiTindakan!)
+        : [];
 
-    final List<String> kategoriOptions = [
-      'VERIFIKASI_DATA',
-      'KUNJUNGAN_LAPANGAN',
-      'KOORDINASI_LINTAS_INSTANSI',
-      'PERBAIKAN_DATA_PENERIMA',
-      'PENYALURAN_ULANG',
-      'PENGGANTIAN_BANTUAN',
-      'MEDIASI',
-      'KLARIFIKASI',
-      'PENYESUAIAN_JUMLAH_BANTUAN',
-      'PEMERIKSAAN_KUALITAS_BANTUAN',
-      'PERBAIKAN_PROSES_DISTRIBUSI',
-      'EDUKASI_PENERIMA',
-      'PENYELESAIAN_ADMINISTRATIF',
-      'INVESTIGASI_PENYALAHGUNAAN',
-      'PELAPORAN_KE_PIHAK_BERWENANG',
-    ];
-
-    final List<String> prioritasOptions = [
-      'RENDAH',
-      'SEDANG',
-      'TINGGI',
-    ];
-
-    final List<String> statusOptions = [
-      'PROSES',
-      'SELESAI',
-    ];
-
-    // Fungsi untuk mengunggah bukti tindakan
-    Future<void> uploadBukti() async {
+    // Fungsi untuk memilih bukti tindakan
+    Future<void> pickBuktiTindakan(
+        BuildContext dialogContext, bool fromCamera) async {
       try {
-        isUploading.value = true;
-
-        // Buka image picker untuk memilih file
         final ImagePicker picker = ImagePicker();
         final XFile? pickedFile = await picker.pickImage(
-          source: ImageSource.gallery,
-          imageQuality: 70,
+          source: fromCamera ? ImageSource.camera : ImageSource.gallery,
+          imageQuality: 80,
+          maxWidth: 1200,
+          maxHeight: 1200,
+          preferredCameraDevice:
+              fromCamera ? CameraDevice.rear : CameraDevice.front,
         );
 
-        if (pickedFile == null) {
-          isUploading.value = false;
-          return;
+        if (pickedFile != null) {
+          // Tampilkan loading dialog
+          showDialog(
+            context: dialogContext,
+            barrierDismissible: false,
+            builder: (BuildContext context) {
+              return const Center(
+                child: CircularProgressIndicator(),
+              );
+            },
+          );
+
+          try {
+            // Tambahkan gambar ke daftar
+            buktiTindakanPaths.add(pickedFile.path);
+
+            // Tutup loading dialog
+            Navigator.of(dialogContext, rootNavigator: true).pop();
+
+            // Tutup dialog pilih sumber foto
+            Navigator.of(dialogContext).pop();
+          } catch (e) {
+            // Tutup loading dialog jika terjadi error
+            Navigator.of(dialogContext, rootNavigator: true).pop();
+            throw e;
+          }
         }
-
-        // Upload file ke Supabase Storage
-        final String filePath = pickedFile.path;
-        final String fileName = filePath.split('/').last;
-        final String fileExt = fileName.split('.').last;
-        final String fileKey =
-            'bukti_tindakan_${DateTime.now().millisecondsSinceEpoch}.$fileExt';
-
-        // Upload ke bucket tindakan_pengaduan
-        await SupabaseService.to.client.storage
-            .from('tindakan_pengaduan')
-            .upload(
-              fileKey,
-              File(filePath),
-              fileOptions:
-                  const FileOptions(cacheControl: '3600', upsert: true),
-            );
-
-        // Dapatkan URL publik
-        final String fileUrl = SupabaseService.to.client.storage
-            .from('tindakan_pengaduan')
-            .getPublicUrl(fileKey);
-
-        // Tambahkan URL ke list bukti
-        buktiTindakanList.add(fileUrl);
-
-        Get.snackbar(
-          'Berhasil',
-          'Bukti berhasil diunggah',
-          snackPosition: SnackPosition.TOP,
-          backgroundColor: Colors.green,
-          colorText: Colors.white,
-        );
       } catch (e) {
-        print('Error uploading bukti: $e');
+        print('Error picking image: $e');
         Get.snackbar(
           'Error',
-          'Gagal mengunggah bukti: ${e.toString()}',
+          'Gagal mengambil gambar: ${e.toString()}',
           snackPosition: SnackPosition.TOP,
           backgroundColor: Colors.red,
           colorText: Colors.white,
         );
-      } finally {
-        isUploading.value = false;
       }
     }
 
+    // Fungsi untuk menampilkan dialog pilih sumber foto
+    void showPilihSumberFoto(BuildContext dialogContext) {
+      showDialog(
+        context: dialogContext,
+        builder: (innerContext) => AlertDialog(
+          title: const Text('Pilih Sumber Foto'),
+          content: Column(
+            mainAxisSize: MainAxisSize.min,
+            children: [
+              ListTile(
+                leading: const Icon(Icons.camera_alt),
+                title: const Text('Kamera'),
+                onTap: () => pickBuktiTindakan(innerContext, true),
+              ),
+              ListTile(
+                leading: const Icon(Icons.photo_library),
+                title: const Text('Galeri'),
+                onTap: () => pickBuktiTindakan(innerContext, false),
+              ),
+            ],
+          ),
+        ),
+      );
+    }
+
     showDialog(
       context: context,
-      builder: (context) => AlertDialog(
-        title: Row(
-          children: [
-            Icon(
-              Icons.edit,
-              color: Colors.blue,
-              size: 24,
-            ),
-            const SizedBox(width: 8),
-            const Text('Edit Tindakan'),
-          ],
-        ),
-        content: Form(
-          key: formKey,
-          child: SingleChildScrollView(
-            child: Column(
-              mainAxisSize: MainAxisSize.min,
-              crossAxisAlignment: CrossAxisAlignment.start,
-              children: [
-                // Panel informasi status
-                Container(
-                  width: double.infinity,
-                  padding: const EdgeInsets.all(12),
-                  margin: const EdgeInsets.only(bottom: 16),
-                  decoration: BoxDecoration(
-                    color: Colors.blue.shade50,
-                    borderRadius: BorderRadius.circular(8),
-                    border: Border.all(color: Colors.blue.shade100),
-                  ),
-                  child: Column(
-                    crossAxisAlignment: CrossAxisAlignment.start,
-                    children: [
-                      Text(
-                        'Status Tindakan',
-                        style: TextStyle(
-                          fontWeight: FontWeight.bold,
-                          fontSize: 14,
-                          color: Colors.blue.shade800,
-                        ),
-                      ),
-                      const SizedBox(height: 8),
-                      Text(
-                        'Status tindakan menentukan apakah tindakan ini masih dalam proses atau sudah selesai. Jika semua tindakan selesai, pengaduan dapat diselesaikan.',
-                        style: TextStyle(
-                          fontSize: 12,
-                          color: Colors.blue.shade700,
-                        ),
-                      ),
-                    ],
-                  ),
-                ),
+      builder: (dialogContext) =>
+          StatefulBuilder(builder: (stateContext, setState) {
+        return AlertDialog(
+          title: Row(
+            children: [
+              Icon(
+                Icons.update,
+                color: Colors.blue,
+                size: 24,
+              ),
+              const SizedBox(width: 8),
+              const Text('Input Hasil Tindakan'),
+            ],
+          ),
+          content: Form(
+            key: formKey,
+            child: SingleChildScrollView(
+              child: Column(
+                mainAxisSize: MainAxisSize.min,
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  const SizedBox(height: 8),
 
-                // Status tindakan
-                DropdownButtonFormField<String>(
-                  decoration: InputDecoration(
-                    labelText: 'Status Tindakan',
-                    border: const OutlineInputBorder(),
-                    filled: true,
-                    fillColor: selectedStatus == 'SELESAI'
-                        ? Colors.green.shade50
-                        : Colors.blue.shade50,
-                  ),
-                  value: selectedStatus,
-                  items: statusOptions.map((status) {
-                    return DropdownMenuItem<String>(
-                      value: status,
-                      child: Row(
-                        children: [
-                          Icon(
-                            status == 'PROSES'
-                                ? Icons.sync
-                                : Icons.check_circle,
-                            color:
-                                status == 'PROSES' ? Colors.blue : Colors.green,
-                            size: 18,
-                          ),
-                          const SizedBox(width: 8),
-                          Text(
-                            status == 'PROSES' ? 'Dalam Proses' : 'Selesai',
-                            style: const TextStyle(fontSize: 14),
-                          ),
-                        ],
-                      ),
-                    );
-                  }).toList(),
-                  onChanged: (value) {
-                    selectedStatus = value;
-                  },
-                  validator: (value) {
-                    if (value == null || value.isEmpty) {
-                      return 'Pilih status tindakan';
-                    }
-                    return null;
-                  },
-                ),
-                const SizedBox(height: 16),
-
-                // Kategori tindakan
-                DropdownButtonFormField<String>(
-                  decoration: const InputDecoration(
-                    labelText: 'Kategori Tindakan',
-                    border: OutlineInputBorder(),
-                  ),
-                  value: selectedKategori,
-                  items: kategoriOptions.map((kategori) {
-                    return DropdownMenuItem<String>(
-                      value: kategori,
-                      child: Text(
-                        kategori
-                            .split('_')
-                            .map((word) =>
-                                word[0].toUpperCase() +
-                                word.substring(1).toLowerCase())
-                            .join(' '),
-                        style: const TextStyle(fontSize: 14),
-                      ),
-                    );
-                  }).toList(),
-                  onChanged: (value) {
-                    selectedKategori = value;
-                  },
-                  validator: (value) {
-                    if (value == null || value.isEmpty) {
-                      return 'Pilih kategori tindakan';
-                    }
-                    return null;
-                  },
-                ),
-                const SizedBox(height: 16),
-
-                // Prioritas tindakan
-                DropdownButtonFormField<String>(
-                  decoration: InputDecoration(
-                    labelText: 'Prioritas',
-                    border: const OutlineInputBorder(),
-                    filled: true,
-                    fillColor: selectedPrioritas == 'TINGGI'
-                        ? Colors.red.shade50
-                        : (selectedPrioritas == 'SEDANG'
-                            ? Colors.orange.shade50
-                            : Colors.green.shade50),
-                  ),
-                  value: selectedPrioritas,
-                  items: prioritasOptions.map((prioritas) {
-                    Color priorityColor = prioritas == 'TINGGI'
-                        ? Colors.red
-                        : (prioritas == 'SEDANG'
-                            ? Colors.orange
-                            : Colors.green);
-
-                    return DropdownMenuItem<String>(
-                      value: prioritas,
-                      child: Row(
-                        children: [
-                          Icon(
-                            Icons.flag,
-                            color: priorityColor,
-                            size: 18,
-                          ),
-                          const SizedBox(width: 8),
-                          Text(
-                            prioritas[0].toUpperCase() +
-                                prioritas.substring(1).toLowerCase(),
-                            style: TextStyle(
-                              fontSize: 14,
-                              color: priorityColor,
-                              fontWeight: FontWeight.bold,
-                            ),
-                          ),
-                        ],
-                      ),
-                    );
-                  }).toList(),
-                  onChanged: (value) {
-                    selectedPrioritas = value;
-                  },
-                  validator: (value) {
-                    if (value == null || value.isEmpty) {
-                      return 'Pilih prioritas tindakan';
-                    }
-                    return null;
-                  },
-                ),
-                const SizedBox(height: 16),
-
-                // Deskripsi tindakan
-                TextFormField(
-                  controller: tindakanController,
-                  decoration: const InputDecoration(
-                    labelText: 'Deskripsi Tindakan',
-                    border: OutlineInputBorder(),
-                    hintText: 'Jelaskan tindakan yang dilakukan',
-                  ),
-                  maxLines: 3,
-                  validator: (value) {
-                    if (value == null || value.isEmpty) {
-                      return 'Tindakan tidak boleh kosong';
-                    }
-                    return null;
-                  },
-                ),
-                const SizedBox(height: 16),
-
-                // Catatan tindakan
-                TextFormField(
-                  controller: catatanController,
-                  decoration: const InputDecoration(
-                    labelText: 'Catatan (opsional)',
-                    border: OutlineInputBorder(),
-                    hintText: 'Tambahkan catatan jika diperlukan',
-                  ),
-                  maxLines: 2,
-                ),
-                const SizedBox(height: 16),
-
-                // Hasil tindakan
-                TextFormField(
-                  controller: hasilTindakanController,
-                  decoration: InputDecoration(
-                    labelText: 'Hasil Tindakan',
-                    border: const OutlineInputBorder(),
-                    hintText: 'Jelaskan hasil dari tindakan yang dilakukan',
-                    filled: true,
-                    fillColor: Colors.blue.shade50,
-                  ),
-                  maxLines: 3,
-                ),
-                const SizedBox(height: 16),
-
-                // Bukti tindakan
-                Column(
-                  crossAxisAlignment: CrossAxisAlignment.start,
-                  children: [
-                    Text(
-                      'Bukti Tindakan:',
-                      style: TextStyle(
-                        fontWeight: FontWeight.bold,
-                        fontSize: 14,
-                        color: Colors.grey.shade800,
-                      ),
-                    ),
-                    const SizedBox(height: 8),
-                    Container(
-                      padding: const EdgeInsets.all(12),
-                      decoration: BoxDecoration(
-                        color: Colors.grey.shade100,
-                        borderRadius: BorderRadius.circular(8),
-                        border: Border.all(color: Colors.grey.shade300),
-                      ),
-                      child: Column(
-                        crossAxisAlignment: CrossAxisAlignment.start,
-                        children: [
-                          Obx(() {
-                            if (buktiTindakanList.isEmpty) {
-                              return const Text(
-                                'Belum ada bukti tindakan',
-                                style: TextStyle(
-                                  fontStyle: FontStyle.italic,
-                                  color: Colors.grey,
-                                ),
-                              );
-                            } else {
-                              return Wrap(
-                                spacing: 8,
-                                runSpacing: 8,
-                                children: buktiTindakanList.map((bukti) {
-                                  return Container(
-                                    width: 80,
-                                    height: 80,
-                                    decoration: BoxDecoration(
-                                      color: Colors.grey.shade200,
-                                      borderRadius: BorderRadius.circular(8),
-                                    ),
-                                    child: Stack(
-                                      children: [
-                                        Center(
-                                          child: Icon(
-                                            Icons.insert_drive_file,
-                                            color: Colors.blue.shade700,
-                                            size: 36,
-                                          ),
-                                        ),
-                                        Positioned(
-                                          top: 0,
-                                          right: 0,
-                                          child: InkWell(
-                                            onTap: () {
-                                              buktiTindakanList.remove(bukti);
-                                            },
-                                            child: Container(
-                                              padding: const EdgeInsets.all(2),
-                                              decoration: BoxDecoration(
-                                                color: Colors.red,
-                                                shape: BoxShape.circle,
-                                              ),
-                                              child: const Icon(
-                                                Icons.close,
-                                                color: Colors.white,
-                                                size: 14,
-                                              ),
-                                            ),
-                                          ),
-                                        ),
-                                      ],
-                                    ),
-                                  );
-                                }).toList(),
-                              );
-                            }
-                          }),
-                          const SizedBox(height: 12),
-                          Obx(() => ElevatedButton.icon(
-                                onPressed:
-                                    isUploading.value ? null : uploadBukti,
-                                icon: isUploading.value
-                                    ? const SizedBox(
-                                        width: 16,
-                                        height: 16,
-                                        child: CircularProgressIndicator(
-                                          strokeWidth: 2,
-                                          color: Colors.white,
-                                        ),
-                                      )
-                                    : const Icon(Icons.upload_file),
-                                label: Text(isUploading.value
-                                    ? 'Mengunggah...'
-                                    : 'Tambah Bukti'),
-                                style: ElevatedButton.styleFrom(
-                                  backgroundColor: Colors.blue,
-                                  foregroundColor: Colors.white,
-                                  minimumSize: const Size(double.infinity, 40),
-                                ),
-                              )),
-                        ],
-                      ),
-                    ),
-                  ],
-                ),
-
-                // Informasi tentang feedback warga
-                if (tindakan.feedbackWarga != null &&
-                    tindakan.feedbackWarga!.isNotEmpty) ...[
-                  const SizedBox(height: 16),
                   Container(
+                    width: double.infinity,
                     padding: const EdgeInsets.all(12),
+                    margin: const EdgeInsets.only(bottom: 16),
                     decoration: BoxDecoration(
-                      color: Colors.amber.shade50,
+                      color: Colors.blue.shade50,
                       borderRadius: BorderRadius.circular(8),
-                      border: Border.all(color: Colors.amber.shade200),
+                      border: Border.all(color: Colors.blue.shade200),
                     ),
                     child: Column(
                       crossAxisAlignment: CrossAxisAlignment.start,
